import { codeSVG, aiSVG } from '../LabIcons';

export let defaultSearchQuery = '';

export const searchBox = document.createElement('input');
export const searchBtn = document.createElement('button');


export const renderNavBar = ({
  containerVar,
}: {
  containerVar: Element;
}): HTMLDivElement => {
  const backgroundDiv = document.createElement('div');
  backgroundDiv.classList.add('background');
  containerVar.appendChild(backgroundDiv);

  const wrapperDiv = document.createElement('div');
  wrapperDiv.classList.add('wrapper');
  containerVar.appendChild(wrapperDiv);

  const tabsDiv = document.createElement('div');
  wrapperDiv.appendChild(tabsDiv);
  tabsDiv.classList.add('tabs', 'text-[var(--jp-inverse-layout-color)]');
  tabsDiv.id = 'piecesTabs';

  const tabInput1 = document.createElement('input');
  tabsDiv.appendChild(tabInput1);
  tabInput1.type = 'radio';
  tabInput1.id = 'radio-1';
  tabInput1.name = 'tabs-1';

  tabInput1.checked = true;

  const tabLabel1 = document.createElement('label');
  tabsDiv.appendChild(tabLabel1);
  tabLabel1.htmlFor = 'radio-1';
  tabLabel1.classList.add('tab');
  tabLabel1.id = 'tab-1';
  tabLabel1.setAttribute('title', 'Pieces Drive');

  codeSVG.element({ container: tabLabel1 });

  const tabInput2 = document.createElement('input');
  tabsDiv.appendChild(tabInput2);
  tabInput2.type = 'radio';
  tabInput2.id = 'radio-2';
  tabInput2.name = 'tabs-2';

  // tabInput2.checked = true;

  const tabLabel2 = document.createElement('label');
  tabsDiv.appendChild(tabLabel2);
  tabLabel2.htmlFor = 'radio-2';
  tabLabel2.classList.add('tab');
  tabLabel2.id = 'tab-2';
  tabLabel2.setAttribute('title', 'Pieces Copilot');

  aiSVG.element({ container: tabLabel2 });

  const slider = document.createElement('span');
  tabsDiv.appendChild(slider);
  slider.classList.add('glider');

  return wrapperDiv;
};
